import { selectionTooltip } from '@bangle.dev/tooltip';
import type { SelectionTooltipProps } from '@bangle.dev/tooltip/selection-tooltip';
import { Command } from '@bangle.dev/pm';
import { EditorState, PluginKey } from '@bangle.dev/pm';
export declare const plugins: typeof floatingMenu;
export declare const commands: {
    focusFloatingMenuInput: typeof focusFloatingMenuInput;
    toggleLinkSubMenu: typeof toggleLinkSubMenu;
    updateFloatingTooltipType: typeof selectionTooltip.updateSelectionTooltipType;
    hideFloatingMenu: typeof selectionTooltip.hideSelectionTooltip;
    queryIsMenuActive: typeof selectionTooltip.queryIsSelectionTooltipActive;
};
export declare const defaultKeys: {
    hide: string;
    toggleLink: string;
};
export declare const defaultCalculateType: (state: EditorState, _prevType: string | null) => "linkSubMenu" | "defaultMenu" | null;
interface FloatingMenuPluginArgs extends Partial<SelectionTooltipProps> {
    keybindings?: {
        [index: string]: string;
    };
}
declare function floatingMenu({ key, keybindings, tooltipRenderOpts, calculateType, }?: FloatingMenuPluginArgs): (import("prosemirror-state").Plugin<any, any> | (() => import("prosemirror-state").Plugin<any, any>[]))[];
export declare function toggleLinkSubMenu(key: PluginKey): Command;
export declare function focusFloatingMenuInput(key: PluginKey): (state: EditorState) => boolean;
export {};
//# sourceMappingURL=floating-menu.d.ts.map